Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.form.builder.services.api
Interface MenuService

All Known Implementing Classes:
  BaseMenuService, FSMenuService

    public interface MenuService

Method Summary
`void` | `deleteMenuItem(String groupName, MenuItemDescription item)`
`Map<String,String>` | `getFormBuilderProperties()`
`Map<String,List<MenuItemDescription>>` | `listMenuItems()`
`List<MenuOptionDescription>` | `listOptions()`
`List<ValidationDescription>` | `listValidations()`
`void` | `saveMenuItem(String groupName, MenuItemDescription item)`

Method Detail

### listOptions

    List<MenuOptionDescription> listOptions()
                                            throws MenuServiceException

  Throws:
    `MenuServiceException`

### listMenuItems

    Map<String,List<MenuItemDescription>> listMenuItems()
                                                        throws MenuServiceException

  Throws:
    `MenuServiceException`

### saveMenuItem

    void saveMenuItem(String groupName,
                      MenuItemDescription item)
                      throws MenuServiceException

  Throws:
    `MenuServiceException`

### deleteMenuItem

    void deleteMenuItem(String groupName,
                        MenuItemDescription item)
                        throws MenuServiceException

  Throws:
    `MenuServiceException`

### getFormBuilderProperties

    Map<String,String> getFormBuilderProperties()
                                                throws MenuServiceException

  Throws:
    `MenuServiceException`

### listValidations

    List<ValidationDescription> listValidations()
                                                throws MenuServiceException

  Throws:
    `MenuServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.